<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwInstallation: fwInstallationDBAgent.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwInstallation
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwInstallationDBAgent.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a959c849d0b6f110a1c277ff1b89b176c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a959c849d0b6f110a1c277ff1b89b176c"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a959c849d0b6f110a1c277ff1b89b176c">fwInstallationDbAgent_terminateOldInstances</a> ()</td></tr>
<tr class="memdesc:a959c849d0b6f110a1c277ff1b89b176c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Beginning of executable code: <br/></td></tr>
<tr class="separator:a959c849d0b6f110a1c277ff1b89b176c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2f9ddf3ad1b887bf131ea8f36fefd68"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ab2f9ddf3ad1b887bf131ea8f36fefd68">fwInstallationDBAgent_executeProjectPendingReinstallations</a> (int &amp;restartProject)</td></tr>
<tr class="separator:ab2f9ddf3ad1b887bf131ea8f36fefd68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8bf6979703b9d3514a6b66a129a255d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#af8bf6979703b9d3514a6b66a129a255d">fwInstallationDBAgent_setSynchronizationLock</a> ()</td></tr>
<tr class="separator:af8bf6979703b9d3514a6b66a129a255d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a521585588cba361a4142050bb4e86e98"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a521585588cba361a4142050bb4e86e98">fwInstallationDBAgent_releaseSynchronizationLock</a> ()</td></tr>
<tr class="separator:a521585588cba361a4142050bb4e86e98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4412ab758d19470f3b2286ed1bb2400"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ab4412ab758d19470f3b2286ed1bb2400">fwInstallationDBAgent_getSynchronizationLock</a> ()</td></tr>
<tr class="separator:ab4412ab758d19470f3b2286ed1bb2400"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae530f0e969be089e67c2f32765f2bbc9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ae530f0e969be089e67c2f32765f2bbc9">fwInstallationDBAgent_setProjectStatus</a> (string projectName=&quot;&quot;, string computerName=&quot;&quot;)</td></tr>
<tr class="separator:ae530f0e969be089e67c2f32765f2bbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89ec2b2ae108dee204695035f5e41b1f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a89ec2b2ae108dee204695035f5e41b1f">fwInstallationDBAgent_isSyncProjectFileIssuesEnabled</a> ()</td></tr>
<tr class="separator:a89ec2b2ae108dee204695035f5e41b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e9d753fbfaa87f803a6822c5020ab7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a23e9d753fbfaa87f803a6822c5020ab7">fwInstallationDBAgent_setSyncProjectFileIssues</a> (bool enable)</td></tr>
<tr class="separator:a23e9d753fbfaa87f803a6822c5020ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8a8c7ed816be9c14c7307e688a5c4c4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ad8a8c7ed816be9c14c7307e688a5c4c4">fwInstallationDBAgent_synchronize</a> (int &amp;restartProject)</td></tr>
<tr class="separator:ad8a8c7ed816be9c14c7307e688a5c4c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac139808432b2b1a8361ab959dfdea28e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ac139808432b2b1a8361ab959dfdea28e">fwInstallationDBAgent_checkIntegrity</a> ()</td></tr>
<tr class="separator:ac139808432b2b1a8361ab959dfdea28e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f64d68742c2ba740a471b77d7a7a508"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a7f64d68742c2ba740a471b77d7a7a508">fwInstallationDBAgent_checkProjectPvssInfo</a> (int &amp;status, dyn_mixed &amp;dbPvssInfo, dyn_mixed &amp;pvssPvssInfo)</td></tr>
<tr class="separator:a7f64d68742c2ba740a471b77d7a7a508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91b67f4c910ac246ae59554f73120481"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a91b67f4c910ac246ae59554f73120481">fwInstallationDBAgent_checkHostPvssInfo</a> (int &amp;status, dyn_string &amp;dbPvssVersions, dyn_string &amp;pvssPvssVersions)</td></tr>
<tr class="separator:a91b67f4c910ac246ae59554f73120481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaacb7a4feb9e76eed2ae5cddd02bfe5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#acaacb7a4feb9e76eed2ae5cddd02bfe5">fwInstallationDBAgent_synchronizePvssSetupInfo</a> ()</td></tr>
<tr class="separator:acaacb7a4feb9e76eed2ae5cddd02bfe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6b670d641ed7bc3eb9930d53be658b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#abc6b670d641ed7bc3eb9930d53be658b">fwInstallationDBAgent_checkProjectPvssPatchesInfo</a> (int &amp;status, dyn_string &amp;dbPatches, dyn_string &amp;pvssPatches)</td></tr>
<tr class="separator:abc6b670d641ed7bc3eb9930d53be658b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0442449bb051b3103083e674cbb03f16"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a0442449bb051b3103083e674cbb03f16">fwInstallationDBAgent_checkHostInfo</a> (int &amp;status, dyn_mixed &amp;dbHostInfo, dyn_mixed &amp;pvssHostInfo)</td></tr>
<tr class="separator:a0442449bb051b3103083e674cbb03f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9990971229d7b3dddc3385cb5f4fa64f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a9990971229d7b3dddc3385cb5f4fa64f">fwInstallationDBAgent_synchronizeHostInfo</a> ()</td></tr>
<tr class="separator:a9990971229d7b3dddc3385cb5f4fa64f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ffa0768a41b8a594aee5f8eeac8ff47"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a1ffa0768a41b8a594aee5f8eeac8ff47">fwInstallationDBAgent_checkProjectInfo</a> (int &amp;status, dyn_mixed &amp;dbProjectInfo, dyn_mixed &amp;pvssProjectInfo)</td></tr>
<tr class="separator:a1ffa0768a41b8a594aee5f8eeac8ff47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5d7c52664da1d704a0ae3d8d445938"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a3c5d7c52664da1d704a0ae3d8d445938">fwInstallationDBAgent_checkProjectFileIssues</a> (int &amp;status, dyn_dyn_mixed &amp;dbProjectFileIssues, dyn_dyn_mixed &amp;pvssProjectFileIssues)</td></tr>
<tr class="separator:a3c5d7c52664da1d704a0ae3d8d445938"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a290348bee9abfb67215f0be62f661a40"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a290348bee9abfb67215f0be62f661a40">fwInstallationDBAgent_synchronizeProjectInfo</a> ()</td></tr>
<tr class="separator:a290348bee9abfb67215f0be62f661a40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96109cd793523157fa2b7257646932b2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a96109cd793523157fa2b7257646932b2">fwInstallationDBAgent_synchronizeProjectFileIssues</a> ()</td></tr>
<tr class="separator:a96109cd793523157fa2b7257646932b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbf157da256f3d254ab34785b214fea1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#acbf157da256f3d254ab34785b214fea1">fwInstallationDBAgent_checkProjectPathsInfo</a> (int &amp;status, dyn_string &amp;dbPaths, dyn_string &amp;pvssPaths, bool checkRequiredTable=false)</td></tr>
<tr class="separator:acbf157da256f3d254ab34785b214fea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4720e879dcc91317e458e3890cfd72cf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a4720e879dcc91317e458e3890cfd72cf">fwInstallationDBAgent_synchronizeProjectPaths</a> ()</td></tr>
<tr class="separator:a4720e879dcc91317e458e3890cfd72cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aaa4f1485c351d93bf242a85ad80052"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a0aaa4f1485c351d93bf242a85ad80052">fwInstallationDBAgent_checkProjectManagersInfo</a> (int &amp;status, dyn_dyn_mixed &amp;dbManagersInfo, dyn_dyn_string &amp;pvssManagersInfo)</td></tr>
<tr class="separator:a0aaa4f1485c351d93bf242a85ad80052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa013128e8855a43bcf0735b1480e98d3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#aa013128e8855a43bcf0735b1480e98d3">fwInstallationDBAgent_synchronizeProjectManagers</a> ()</td></tr>
<tr class="separator:aa013128e8855a43bcf0735b1480e98d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99642a5482e6c15f97c32f9f11157e69"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a99642a5482e6c15f97c32f9f11157e69">fwInstallationDBAgent_checkComponents</a> (int &amp;status, dyn_dyn_mixed &amp;dbComponentsInfo, dyn_dyn_mixed &amp;pvssComponentsInfo)</td></tr>
<tr class="separator:a99642a5482e6c15f97c32f9f11157e69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ba9ea1a253e1330d3cc2bb9f48a8d72"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a1ba9ea1a253e1330d3cc2bb9f48a8d72">fwInstallationDBAgent_stringCastRequest</a> (dyn_mixed request)</td></tr>
<tr class="separator:a1ba9ea1a253e1330d3cc2bb9f48a8d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6c8c840de54f2061db5f72b1f6ce9b0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#af6c8c840de54f2061db5f72b1f6ce9b0">fwInstallationDBAgent_synchronizeProjectComponents</a> (int &amp;restartProject)</td></tr>
<tr class="separator:af6c8c840de54f2061db5f72b1f6ce9b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a414dad208fc67bf6db43a5e20eca682a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a414dad208fc67bf6db43a5e20eca682a">fwInstallationDBAgent_isPostInstallRunning</a> (bool &amp;isRunning)</td></tr>
<tr class="separator:a414dad208fc67bf6db43a5e20eca682a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8ab3e90195c7c0f2740e43f6f0ab98"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a4a8ab3e90195c7c0f2740e43f6f0ab98">fwInstallationDBAgent_getComponentFile</a> (string descFile)</td></tr>
<tr class="separator:a4a8ab3e90195c7c0f2740e43f6f0ab98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba88d7f28e34836ca64adc8ff9e6ee97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#aba88d7f28e34836ca64adc8ff9e6ee97">fwInstallationDBAgent_executeComponentPendingActions</a> (int &amp;restartProject, dyn_dyn_mixed pvssInstallComponents, dyn_dyn_mixed pvssDeleteComponents)</td></tr>
<tr class="separator:aba88d7f28e34836ca64adc8ff9e6ee97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7922ff2e15abbfeea4ecf6b2bc8aae28"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a7922ff2e15abbfeea4ecf6b2bc8aae28">fwInstallationDBAgent_getComponentPendingActions</a> (int &amp;restartProject, dyn_dyn_mixed &amp;pvssInstallComponents, dyn_dyn_mixed &amp;pvssDeleteComponents, int &amp;reinstalls)</td></tr>
<tr class="separator:a7922ff2e15abbfeea4ecf6b2bc8aae28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50fb81f3efe9bdddbd0e68db5db48590"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a50fb81f3efe9bdddbd0e68db5db48590">fwInstallationDBAgent_setForceFullSync</a> (bool forceFullSynchronization)</td></tr>
<tr class="separator:a50fb81f3efe9bdddbd0e68db5db48590"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb4cf06191bafd7122ee67a6d9052da"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#aedb4cf06191bafd7122ee67a6d9052da">fwInstallationDBAgent_getForceFullSync</a> ()</td></tr>
<tr class="separator:aedb4cf06191bafd7122ee67a6d9052da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fe2b3146b23852623a4016a090a2742"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a5fe2b3146b23852623a4016a090a2742">fwInstallationDBAgent_setSyncInterval</a> (int interval)</td></tr>
<tr class="separator:a5fe2b3146b23852623a4016a090a2742"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8b81f8d8829907c0fa5b79566e39785"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ad8b81f8d8829907c0fa5b79566e39785">fwInstallationDBAgent_getSyncInterval</a> ()</td></tr>
<tr class="separator:ad8b81f8d8829907c0fa5b79566e39785"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04237c02089513fee91d964a662f007b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a04237c02089513fee91d964a662f007b">fwInstallationDBAgent_checkDistPeers</a> (int &amp;status, dyn_string &amp;onlyPvssSystemNames, dyn_string &amp;onlyDbSystemNames, dyn_string &amp;onlyPvssComputerNames, dyn_string &amp;onlyDbComputerNames, dyn_int &amp;onlyPvssSystemNumbers, dyn_int &amp;onlyDbSystemNumbers, bool checkRequiredTable=false)</td></tr>
<tr class="separator:a04237c02089513fee91d964a662f007b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addb9f075f87c1d388c76e1de2f3385e6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#addb9f075f87c1d388c76e1de2f3385e6">fwInstallationDBAgent_isDistRestartRequired</a> ()</td></tr>
<tr class="separator:addb9f075f87c1d388c76e1de2f3385e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab60676b5c504cc713e59d0237aa1b80b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ab60676b5c504cc713e59d0237aa1b80b">fwInstallationDBAgent_synchronizeDistPeers</a> ()</td></tr>
<tr class="separator:ab60676b5c504cc713e59d0237aa1b80b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63be17159b65f4cb2d0f9abcc5604533"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a63be17159b65f4cb2d0f9abcc5604533">fwInstallationDBAgent_checkWCCOAApplications</a> (int &amp;status, dyn_dyn_mixed &amp;dbAppsToAdd, dyn_dyn_mixed &amp;dbAppsToRemove)</td></tr>
<tr class="separator:a63be17159b65f4cb2d0f9abcc5604533"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade2e12e47c1efb2fc8b44e3e0f8b9a1a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ade2e12e47c1efb2fc8b44e3e0f8b9a1a">fwInstallationDBAgent_synchronizeReduInfo</a> ()</td></tr>
<tr class="separator:ade2e12e47c1efb2fc8b44e3e0f8b9a1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9f49f7b941af3b596d572d9e133849a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#ad9f49f7b941af3b596d572d9e133849a">fwInstallationDBAgent_unregisterProjectPaths</a> (string projectName=&quot;&quot;, string computerName=&quot;&quot;)</td></tr>
<tr class="separator:ad9f49f7b941af3b596d572d9e133849a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ecff584345895a51d13d1adb4b019ca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a0ecff584345895a51d13d1adb4b019ca">fwInstallationDBAgent_registerProjectPaths</a> (dyn_string paths, string projectName=&quot;&quot;, string computerName=&quot;&quot;)</td></tr>
<tr class="separator:a0ecff584345895a51d13d1adb4b019ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ec4b05c0da998a51c52b20921b35ac8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a2ec4b05c0da998a51c52b20921b35ac8">fwInstallationDBAgent_checkDevices</a> (int &amp;status, dyn_mapping &amp;dbDevicesToAdd, dyn_mapping &amp;dbDevicesToRemove)</td></tr>
<tr class="separator:a2ec4b05c0da998a51c52b20921b35ac8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d66e2cdb37a73aa06c14c88ff0ff80"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a62d66e2cdb37a73aa06c14c88ff0ff80">fwInstallationDBAgent_synchronizeWCCOAApplicationsAndDevices</a> ()</td></tr>
<tr class="separator:a62d66e2cdb37a73aa06c14c88ff0ff80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a09c0a8efd896c3a8f33de7901b86a493"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationDBAgent_8ctl.html#a09c0a8efd896c3a8f33de7901b86a493">gFwInstallationAgentLibVersion</a> = &quot;8.4.2&quot;</td></tr>
<tr class="separator:a09c0a8efd896c3a8f33de7901b86a493"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">fwInstallationDB.ctl: Definition of variables</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>The following variables are used by the <a class="el" href="fwInstallationDB_8ctl.html">fwInstallationDB.ctl</a> library </p>
</div></td></tr>
<tr class="memitem:a969016146804070284d98a94eea23777"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a969016146804070284d98a94eea23777"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PROJECT_OK</b> = 1</td></tr>
<tr class="separator:a969016146804070284d98a94eea23777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa899d82367c062e00e6f77ce8b2ec4d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa899d82367c062e00e6f77ce8b2ec4d8"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PROJECT_MISSMATCH</b> = 0</td></tr>
<tr class="separator:aa899d82367c062e00e6f77ce8b2ec4d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1bc98c964843e2bdfc23c8b7103a74f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1bc98c964843e2bdfc23c8b7103a74f"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PROJECT_NEVER_CHECKED</b> = -1</td></tr>
<tr class="separator:aa1bc98c964843e2bdfc23c8b7103a74f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad73cd3bbe11a1ec987e324f30c73a2d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad73cd3bbe11a1ec987e324f30c73a2d3"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PROJECT_DISABLED</b> = -2</td></tr>
<tr class="separator:ad73cd3bbe11a1ec987e324f30c73a2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aa4d8d8c22849575ceecdacfc30b2d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9aa4d8d8c22849575ceecdacfc30b2d5"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_PVSS_INFO</b> = 1</td></tr>
<tr class="separator:a9aa4d8d8c22849575ceecdacfc30b2d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a580c49029c6941982227d8d7500595b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a580c49029c6941982227d8d7500595b1"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_PVSS_PATCH_INFO</b> = 2</td></tr>
<tr class="separator:a580c49029c6941982227d8d7500595b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab414d39d476760d9bfbe537f82408c07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab414d39d476760d9bfbe537f82408c07"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_HOST_INFO</b> = 3</td></tr>
<tr class="separator:ab414d39d476760d9bfbe537f82408c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471010cf4233eef93c506363e1796337"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a471010cf4233eef93c506363e1796337"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_PROJECT_INFO</b> = 4</td></tr>
<tr class="separator:a471010cf4233eef93c506363e1796337"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c2407e831a0cc06123ced9f99a42edf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c2407e831a0cc06123ced9f99a42edf"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_PATH_INFO</b> = 5</td></tr>
<tr class="separator:a4c2407e831a0cc06123ced9f99a42edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68dd94bbb3f41312637d56603565c5ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68dd94bbb3f41312637d56603565c5ef"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_MANAGER_INFO</b> = 6</td></tr>
<tr class="separator:a68dd94bbb3f41312637d56603565c5ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878578174e37aba4174e9c7c43fc5723"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a878578174e37aba4174e9c7c43fc5723"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_GROUP_INFO</b> = 7</td></tr>
<tr class="separator:a878578174e37aba4174e9c7c43fc5723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87a2958b6062e211c976cf707665aa9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87a2958b6062e211c976cf707665aa9e"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_COMPONENT_INFO</b> = 8</td></tr>
<tr class="separator:a87a2958b6062e211c976cf707665aa9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12b1dc09a72e5b8eea086af0e8d8bfab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12b1dc09a72e5b8eea086af0e8d8bfab"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_DIST_PEERS_INFO</b> = 9</td></tr>
<tr class="separator:a12b1dc09a72e5b8eea086af0e8d8bfab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3105e0470831f6d34a47b4cbb0bd31cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3105e0470831f6d34a47b4cbb0bd31cc"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_PROJ_FILE_ISSUES</b> = 10</td></tr>
<tr class="separator:a3105e0470831f6d34a47b4cbb0bd31cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa6bac97dc481d8a2bbd6154f171617e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa6bac97dc481d8a2bbd6154f171617e"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_STATUS_DEV_AND_APPS</b> = 11</td></tr>
<tr class="separator:afa6bac97dc481d8a2bbd6154f171617e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb70b580c5b70c34768ec1663b68e5b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb70b580c5b70c34768ec1663b68e5b8"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><b>csFwInstallationDBAgentLibVersion</b> = &quot;3.4.2&quot;</td></tr>
<tr class="separator:aeb70b580c5b70c34768ec1663b68e5b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8db436d237fe8f720e413a8926ee59f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8db436d237fe8f720e413a8926ee59f"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_COMPONENT_IDX</b> = 1</td></tr>
<tr class="separator:ac8db436d237fe8f720e413a8926ee59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d688c9ad704644f9277f8e4067a0ab0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d688c9ad704644f9277f8e4067a0ab0"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_VERSION_IDX</b> = 2</td></tr>
<tr class="separator:a7d688c9ad704644f9277f8e4067a0ab0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98cd3af16fe80154fa7206c84bce14cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98cd3af16fe80154fa7206c84bce14cc"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_DESCFILE_IDX</b> = 3</td></tr>
<tr class="separator:a98cd3af16fe80154fa7206c84bce14cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40f4db4c12356e3afe1bb2309072b0f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40f4db4c12356e3afe1bb2309072b0f2"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_SOURCEDIR_IDX</b> = 4</td></tr>
<tr class="separator:a40f4db4c12356e3afe1bb2309072b0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19a83b05504a51d7ebcbfcb06e05030d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19a83b05504a51d7ebcbfcb06e05030d"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_SUBCOMP_IDX</b> = 5</td></tr>
<tr class="separator:a19a83b05504a51d7ebcbfcb06e05030d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade73bba40dc0cd4fcd302fea6d2e0875"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade73bba40dc0cd4fcd302fea6d2e0875"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_SUBPATH_IDX</b> = 6</td></tr>
<tr class="separator:ade73bba40dc0cd4fcd302fea6d2e0875"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0d700db6087b0e10cc36e4dbba681e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0d700db6087b0e10cc36e4dbba681e8"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_FORCE_REQUIRED_IDX</b> = 7</td></tr>
<tr class="separator:aa0d700db6087b0e10cc36e4dbba681e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a265f7daccb7dc2528ada3947a6693a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a265f7daccb7dc2528ada3947a6693a"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_OVERWRITE_FILES_IDX</b> = 8</td></tr>
<tr class="separator:a8a265f7daccb7dc2528ada3947a6693a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94159915a6ffea3bc134f6c653cc4390"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94159915a6ffea3bc134f6c653cc4390"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_SILENT_IDX</b> = 9</td></tr>
<tr class="separator:a94159915a6ffea3bc134f6c653cc4390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6921d753f39b0265b36b85663cc9fae4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6921d753f39b0265b36b85663cc9fae4"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_INSTALL_GROUP_IDX</b> = 10</td></tr>
<tr class="separator:a6921d753f39b0265b36b85663cc9fae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33fbb759c37368b384ac1589f07a633b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33fbb759c37368b384ac1589f07a633b"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_DELETE_NAME_IDX</b> = 1</td></tr>
<tr class="separator:a33fbb759c37368b384ac1589f07a633b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309e9a24baf000b43b2270acf439d5ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a309e9a24baf000b43b2270acf439d5ed"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_PVSS_DELETE_VERSION_IDX</b> = 2</td></tr>
<tr class="separator:a309e9a24baf000b43b2270acf439d5ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1d712e612e95d61725132e35d3e8835"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1d712e612e95d61725132e35d3e8835"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_DELETE_COMPONENT_NAME_IDX</b> = 1</td></tr>
<tr class="separator:ae1d712e612e95d61725132e35d3e8835"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4031ecc1a5c29ade36f6eab0ea001f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4031ecc1a5c29ade36f6eab0ea001f2"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_DELETE_COMPONENT_VERSION_IDX</b> = 2</td></tr>
<tr class="separator:ab4031ecc1a5c29ade36f6eab0ea001f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5189fb4fbfcc60cb1af98f2d3d67c95d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5189fb4fbfcc60cb1af98f2d3d67c95d"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_DELETE_COMPONENT_SUBCOMP_IDX</b> = 3</td></tr>
<tr class="separator:a5189fb4fbfcc60cb1af98f2d3d67c95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c25acefeaec9ca0da34f8f292795cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87c25acefeaec9ca0da34f8f292795cc"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_DELETE_COMPONENT_GROUP_IDX</b> = 4</td></tr>
<tr class="separator:a87c25acefeaec9ca0da34f8f292795cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafbbcee750428f22e28885471dc0665c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafbbcee750428f22e28885471dc0665c"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_INSTALL_COMPONENT_NAME_IDX</b> = 1</td></tr>
<tr class="separator:aafbbcee750428f22e28885471dc0665c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a57b686b635d994a195beb5c0595aab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a57b686b635d994a195beb5c0595aab"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_INSTALL_COMPONENT_VERSION_IDX</b> = 2</td></tr>
<tr class="separator:a1a57b686b635d994a195beb5c0595aab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a302793ea187eb21ea2cb551406ffb8f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a302793ea187eb21ea2cb551406ffb8f8"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_INSTALL_COMPONENT_SUBCOMP_IDX</b> = 3</td></tr>
<tr class="separator:a302793ea187eb21ea2cb551406ffb8f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add63f4202378546ed8a1cacc471fc0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add63f4202378546ed8a1cacc471fc0c4"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_INSTALL_COMPONENT_GROUP_IDX</b> = 4</td></tr>
<tr class="separator:add63f4202378546ed8a1cacc471fc0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1baca757fff48668067acdc25dad2926"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1baca757fff48668067acdc25dad2926"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_DB_INSTALL_COMPONENT_DESCFILE_IDX</b> = 5</td></tr>
<tr class="separator:a1baca757fff48668067acdc25dad2926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3822d5896e34d513e692b30494b5c3c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3822d5896e34d513e692b30494b5c3c7"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_REINSTALL_COMPONENT_NAME_IDX</b> = 1</td></tr>
<tr class="separator:a3822d5896e34d513e692b30494b5c3c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1373cb34aac8f5f0fb8024fe145365"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc1373cb34aac8f5f0fb8024fe145365"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_REINSTALL_COMPONENT_VERSION_IDX</b> = 2</td></tr>
<tr class="separator:adc1373cb34aac8f5f0fb8024fe145365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9cec893048244a908107c1626019e17"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9cec893048244a908107c1626019e17"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_REINSTALL_COMPONENT_SUBCOMP_IDX</b> = 3</td></tr>
<tr class="separator:ac9cec893048244a908107c1626019e17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d6abe94a70691feb4aa126820ce5eac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d6abe94a70691feb4aa126820ce5eac"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_REINSTALL_COMPONENT_DESCFILE_IDX</b> = 4</td></tr>
<tr class="separator:a6d6abe94a70691feb4aa126820ce5eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7ae2295374d186f4ecb967230b138fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7ae2295374d186f4ecb967230b138fa"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_REINSTALL_RESTART_PROJECT_IDX</b> = 5</td></tr>
<tr class="separator:af7ae2295374d186f4ecb967230b138fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a9bc4c9f1c32d1ac6288169dcd80b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4a9bc4c9f1c32d1ac6288169dcd80b2"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_REINSTALL_OVERWRITE_FILES_IDX</b> = 6</td></tr>
<tr class="separator:ad4a9bc4c9f1c32d1ac6288169dcd80b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65d7fda2c49b637557135b5dd3ab9a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae65d7fda2c49b637557135b5dd3ab9a2"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_PROJ_PATHS</b> = 1</td></tr>
<tr class="separator:ae65d7fda2c49b637557135b5dd3ab9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f52905a0e34dd938eca953a263ac75d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f52905a0e34dd938eca953a263ac75d"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_PROJ_MANAGERS</b> = 2</td></tr>
<tr class="separator:a3f52905a0e34dd938eca953a263ac75d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a880ee42eada9831fa8feb5cca7b63ead"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a880ee42eada9831fa8feb5cca7b63ead"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_DIST_PEERS</b> = 3</td></tr>
<tr class="separator:a880ee42eada9831fa8feb5cca7b63ead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616e1eb8a0747e8b5ba6ebfeaf28d2a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a616e1eb8a0747e8b5ba6ebfeaf28d2a7"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_COMP_FILE_ISSUES</b> = 4</td></tr>
<tr class="separator:a616e1eb8a0747e8b5ba6ebfeaf28d2a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad99994514ba1068721203ecd2903ca39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad99994514ba1068721203ecd2903ca39"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_REDU_CONF</b> = 5</td></tr>
<tr class="separator:ad99994514ba1068721203ecd2903ca39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a235a954528ceb70cc5486f618bbed96c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a235a954528ceb70cc5486f618bbed96c"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_DEV_AND_APPS</b> = 6</td></tr>
<tr class="separator:a235a954528ceb70cc5486f618bbed96c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a069e9679d33deee6214ca013c4afbf67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a069e9679d33deee6214ca013c4afbf67"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_COMPONENTS_LEN</b> = 6</td></tr>
<tr class="separator:a069e9679d33deee6214ca013c4afbf67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe8e6f0f3ec64f9b05a815b75902fd3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe8e6f0f3ec64f9b05a815b75902fd3f"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_COMPONENTS_DPE</b> = &quot;.synchronizedComponents&quot;</td></tr>
<tr class="separator:abe8e6f0f3ec64f9b05a815b75902fd3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43b663f6788e543a82d0235371bf99e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43b663f6788e543a82d0235371bf99e1"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_COMPONENTS_LOCAL_DPE</b> = FW_INSTALLATION_DB_AGENT_SYNC_COMPONENTS_DPE + &quot;.enabledInLocal&quot;</td></tr>
<tr class="separator:a43b663f6788e543a82d0235371bf99e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a1f52a6ed1e08cc2314b638efb2cc07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a1f52a6ed1e08cc2314b638efb2cc07"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_SYNC_COMPONENTS_CENTRAL_DPE</b> = FW_INSTALLATION_DB_AGENT_SYNC_COMPONENTS_DPE + &quot;.enabledInCentral&quot;</td></tr>
<tr class="separator:a8a1f52a6ed1e08cc2314b638efb2cc07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5317da14f6b9bfdffe50b04ad2accc1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5317da14f6b9bfdffe50b04ad2accc1b"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_DB_AGENT_WMIC_CMD</b> = &quot;%SystemRoot%/system32/wbem/wmic&quot;</td></tr>
<tr class="separator:a5317da14f6b9bfdffe50b04ad2accc1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains builds on top of <a class="el" href="fwInstallation_8ctl.html">fwInstallation.ctl</a> and <a class="el" href="fwInstallationDB_8ctl.html">fwInstallationDB.ctl</a> and it contains the functions called by the DB-Agent of the FW Comonent Installation Tool for the synchronization of the contents of the local project and of the System Configuration DB. The functions in this library are not intended to be called from user scripts</p>
<dl class="section author"><dt>Author</dt><dd>Fernando Varela Rodriguez (EN-ICE) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>3.3.10 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>April 2007 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ab2f9ddf3ad1b887bf131ea8f36fefd68"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_executeProjectPendingReinstallations </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>restartProject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function executes all pending reinstallation actions for the project </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">restartProject</td><td>flag indicating if project restart is required. Possible values are:</td></tr>
  </table>
  </dd>
</dl>
<p>0: project restart is not required</p>
<p>1: project restart required</p>
<p>2: project restart not required but post-installation scripts must be run </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="af8bf6979703b9d3514a6b66a129a255d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_setSynchronizationLock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function sets the synchronization lock, i.e. a kind of semaphore to ensure that not concurrent installation are performed by the agent and the main panel of the installation tool. </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a521585588cba361a4142050bb4e86e98"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_releaseSynchronizationLock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function releases the synchronization lock. </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="ab4412ab758d19470f3b2286ed1bb2400"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_getSynchronizationLock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function returns the current value of the synchronization lock </p>
<dl class="section return"><dt>Returns</dt><dd>1 if the lock is set, 0 if unset </dd></dl>

</div>
</div>
<a class="anchor" id="ae530f0e969be089e67c2f32765f2bbc9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_setProjectStatus </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>computerName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function writes to the System Configuration DB result of the synchronization process </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>array of flags indicating the result of each of the steps performed during the synchronization process </td></tr>
    <tr><td class="paramname">projectName</td><td>Name of the project </td></tr>
    <tr><td class="paramname">computerName</td><td>hostname </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a89ec2b2ae108dee204695035f5e41b1f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwInstallationDBAgent_isSyncProjectFileIssuesEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check if project files issues synchronization/checking is enabled. This is done by reading a proper data point. </p>
<dl class="section return"><dt>Returns</dt><dd>True if file issue synchronization is enabled, false if not. </dd></dl>

</div>
</div>
<a class="anchor" id="a23e9d753fbfaa87f803a6822c5020ab7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwInstallationDBAgent_setSyncProjectFileIssues </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets synchronization of files issues. This is done by writing a boolean value to a datapoint. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enable</td><td>what value should be written to datapoint, false - file issue synchronization is disabled, true - file issue synchronization is enabled. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad8a8c7ed816be9c14c7307e688a5c4c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronize </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>restartProject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function synchronizes the contents of the System Configuration DB and of the local project </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">restartProject</td><td>flag indicating if project restart is required. Possible values are:</td></tr>
  </table>
  </dd>
</dl>
<p>0: project restart is not required</p>
<p>1: project restart required</p>
<p>2: project restart not required but post-installation scripts must be run </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="ac139808432b2b1a8361ab959dfdea28e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkIntegrity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function retrieves from the System Configuration DB the current status of the syncrhonization process </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">syncStepsStatus</td><td>array of flags indicating the result of each of the steps performed during the synchronization process </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a7f64d68742c2ba740a471b77d7a7a508"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkProjectPvssInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbPvssInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssPvssInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the current project and the contents of the System Configuration DB for the PVSS setup information </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project information is in sync, 0 when not </td></tr>
    <tr><td class="paramname">dbPvssInfo</td><td>PVSS information in the system configuration DB as a dyn_mixed array </td></tr>
    <tr><td class="paramname">pvssPvssInfo</td><td>PVSS information from the local project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors</dd></dl>
<p>TODO: Check with FV if this is supposed to remain. Activating for now, commented out on last version. </p>

</div>
</div>
<a class="anchor" id="a91b67f4c910ac246ae59554f73120481"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkHostPvssInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dbPvssVersions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>pvssPvssVersions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency of the PVSS version information </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project information is in sync, 0 when not </td></tr>
    <tr><td class="paramname">dbPvssVersions</td><td>PVSS information in the system configuration DB as a dyn_string array </td></tr>
    <tr><td class="paramname">pvssPvssVersions</td><td>PVSS information from the local host </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="acaacb7a4feb9e76eed2ae5cddd02bfe5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizePvssSetupInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function updates the contents of the System Configuration DB for the PVSS setup information </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="abc6b670d641ed7bc3eb9930d53be658b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkProjectPvssPatchesInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dbPatches</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>pvssPatches</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the current project and the contents of the System Configuration DB for the PVSS patches information </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project information is in sync for patches, 0 when not </td></tr>
    <tr><td class="paramname">dbPatches</td><td>PVSS information in the system configuration DB as a dyn_mixed array </td></tr>
    <tr><td class="paramname">pvssPatches</td><td>PVSS information from the local project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a0442449bb051b3103083e674cbb03f16"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkHostInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbHostInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssHostInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the current project and the contents of the System Configuration DB for the host information </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project information is in sync for patches, 0 when not </td></tr>
    <tr><td class="paramname">dbHostInfo</td><td>PVSS information in the system configuration DB as a dyn_mixed array </td></tr>
    <tr><td class="paramname">pvssHostInfo</td><td>PVSS information from the local project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a9990971229d7b3dddc3385cb5f4fa64f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeHostInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function updates the contents of the System Configuration DB for the host information </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a1ffa0768a41b8a594aee5f8eeac8ff47"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkProjectInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbProjectInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssProjectInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the current project and the contents of the System Configuration DB for the project information </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project information is in sync for patches, 0 when not </td></tr>
    <tr><td class="paramname">dbProjectInfo</td><td>PVSS information in the system configuration DB as a dyn_mixed array </td></tr>
    <tr><td class="paramname">pvssProjectInfo</td><td>PVSS information from the local project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a3c5d7c52664da1d704a0ae3d8d445938"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkProjectFileIssues </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbProjectFileIssues</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssProjectFileIssues</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the current project file issues and the contents of the System Configuration DB for the project file issues </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project file issues information is in sync, 0 when not, -2 when synchronization is disabled </td></tr>
    <tr><td class="paramname">dbProjectFileIssues</td><td>File issues information in the system configuration DB as a dyn_dyn_mixed array </td></tr>
    <tr><td class="paramname">pvssProjectFileIssues</td><td>File issues information from the local project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a290348bee9abfb67215f0be62f661a40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeProjectInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function updates the contents of the System Configuration DB for the project information </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errorsfwInstallationDB_registerSystem </dd></dl>

</div>
</div>
<a class="anchor" id="a96109cd793523157fa2b7257646932b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeProjectFileIssues </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function updates the contents of the System Configuration DB for the file issues </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error, -2 when synchronization is disabled </dd></dl>

</div>
</div>
<a class="anchor" id="acbf157da256f3d254ab34785b214fea1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkProjectPathsInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dbPaths</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>pvssPaths</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkRequiredTable</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the current project and the contents of the System Configuration DB for the project paths </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>1 if DB and local project information is in sync for patches, 0 when not, -2 when synchronization is disabled </td></tr>
    <tr><td class="paramname">dbPaths</td><td>PVSS information in the system configuration DB as a dyn_mixed array </td></tr>
    <tr><td class="paramname">pvssPaths</td><td>PVSS information from the local project </td></tr>
    <tr><td class="paramname">checkRequiredTable</td><td>When true read from fw_sys_stat_inst_path, otherwise from fw_sys_stat_current_inst_path </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a4720e879dcc91317e458e3890cfd72cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeProjectPaths </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function synchronizes the list of project paths in the current project and in the System Configuration. The synchronization depends on the management mode of the project:</p>
<ul>
<li>if the project is locally managed, the contents of the system confiuguration db are updated with the list of project paths currently defined in the project.</li>
<li>if the project is centrally managed, the DB-Agent of the installation tool modifies the list of project paths defined in the local project to reflect the contents of the system configuration DB.</li>
</ul>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors, -2 when synchronization is disabled </dd></dl>

</div>
</div>
<a class="anchor" id="a0aaa4f1485c351d93bf242a85ad80052"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkProjectManagersInfo </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbManagersInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string &amp;&#160;</td>
          <td class="paramname"><em>pvssManagersInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the list of project managers in the current project and those registered in the System Configuration DB </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>overall result of the consistency check </td></tr>
    <tr><td class="paramname">dbManagersInfo</td><td>managers information from the database </td></tr>
    <tr><td class="paramname">pvssManagersInfo</td><td>managers information from the local project</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="aa013128e8855a43bcf0735b1480e98d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeProjectManagers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function updates the contents of the System Configuration DB for the project managers </p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors, -2 when synchronization is disabled </dd></dl>

</div>
</div>
<a class="anchor" id="a99642a5482e6c15f97c32f9f11157e69"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkComponents </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbComponentsInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssComponentsInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the list of components currently installed in the local project and those registered in the System Configuration DB </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>overall result of the consistency check </td></tr>
    <tr><td class="paramname">dbComponentsInfo</td><td>components information in the DB </td></tr>
    <tr><td class="paramname">pvssComponentsInfo</td><td>components information from the local project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a1ba9ea1a253e1330d3cc2bb9f48a8d72"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwInstallationDBAgent_stringCastRequest </td>
          <td>(</td>
          <td class="paramtype">dyn_mixed&#160;</td>
          <td class="paramname"><em>request</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function cast a dyn_mixed to an string where the different elements are separated by "|"; </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">request</td><td>dyn_mixed to be casted </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>result of the casting operation as string </dd></dl>

</div>
</div>
<a class="anchor" id="af6c8c840de54f2061db5f72b1f6ce9b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeProjectComponents </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>restartProject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function synchronizes the list of components in the current project and in the System Configuration and exports the current list of components installed in the project to the DB. The synchronization depends on the management mode of the project:</p>
<ul>
<li>if the project is locally managed, no synchronization is done. Only the current list of components in the System Configuration DB is updated with the list of components in the local project.</li>
<li>if the project is centrally managed, the DB-Agent of the installation tool uninstalls and/or uninstalls all components such that the list of components installed in the project reflects the contents of the system configuration DB.</li>
</ul>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">restartProject</td><td>flag indicating if project restart is required. Possible values are:</td></tr>
  </table>
  </dd>
</dl>
<p>0: project restart is not required</p>
<p>1: project restart required</p>
<p>2: project restart not required but post-installation scripts must be run</p>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a414dad208fc67bf6db43a5e20eca682a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_isPostInstallRunning </td>
          <td>(</td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>isRunning</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks if the post-installation scripts are still running </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isRunning</td><td>TRUE if post-install scripts are still being executed </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a4a8ab3e90195c7c0f2740e43f6f0ab98"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwInstallationDBAgent_getComponentFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>descFile</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function returns the path to a description file where any Windows-Linux path mapping is resolved, e.g. from /afs/cern.ch/myComponent.xml -&gt; P:/myComponent.xml </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">descFile</td><td>original description file of the component including path </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new path to the component description file where possible path mappings have been resolved </dd></dl>

</div>
</div>
<a class="anchor" id="aba88d7f28e34836ca64adc8ff9e6ee97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_executeComponentPendingActions </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>restartProject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed&#160;</td>
          <td class="paramname"><em>pvssInstallComponents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed&#160;</td>
          <td class="paramname"><em>pvssDeleteComponents</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function executes all pending installation/uninstallatio of components </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">restartProject</td><td>(in/out) flag indicating if project restart is required. Possible values are:</td></tr>
  </table>
  </dd>
</dl>
<p>0: project restart is not required</p>
<p>1: project restart required</p>
<p>2: project restart not required but post-installation scripts must be run </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pvssInstallComponents</td><td>(in) list of components to be installed in the project </td></tr>
    <tr><td class="paramname">pvssDeleteComponents</td><td>(in) list of components to be delete from the project </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a7922ff2e15abbfeea4ecf6b2bc8aae28"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_getComponentPendingActions </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>restartProject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssInstallComponents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>pvssDeleteComponents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>reinstalls</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function retrieves the list of pending installation/uninstallatio of components </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">restartProject</td><td>(out) flag indicating if project restart is required. Possible values are:</td></tr>
  </table>
  </dd>
</dl>
<p>0: project restart is not required</p>
<p>1: project restart required</p>
<p>2: project restart not required but post-installation scripts must be run </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pvssInstallComponents</td><td>(out) list of components to be installed in the project </td></tr>
    <tr><td class="paramname">pvssDeleteComponents</td><td>(out) list of components to be delete from the project </td></tr>
    <tr><td class="paramname">reinstalls</td><td>(out) if not 0 means that there are pending reinstallation actions </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a50fb81f3efe9bdddbd0e68db5db48590"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_setForceFullSync </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>forceFullSynchronization</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function sets the synchronization method </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bool,:</td><td>either true (force full synchronize on the client) or false (use server flag) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="aedb4cf06191bafd7122ee67a6d9052da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwInstallationDBAgent_getForceFullSync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function reads the synchronization method </p>
<dl class="section return"><dt>Returns</dt><dd>true if full synchronize is intended false for synchronize on server trigger only. </dd></dl>

</div>
</div>
<a class="anchor" id="a5fe2b3146b23852623a4016a090a2742"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_setSyncInterval </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>interval</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function sets the synchronization interval </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interval</td><td>time in seconds between two consecutive synchronizations </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="ad8b81f8d8829907c0fa5b79566e39785"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_getSyncInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function reads the synchronization interval </p>
<dl class="section return"><dt>Returns</dt><dd>time in seconds between two consecutive synchronizations </dd></dl>

</div>
</div>
<a class="anchor" id="a04237c02089513fee91d964a662f007b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkDistPeers </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>onlyPvssSystemNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>onlyDbSystemNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>onlyPvssComputerNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>onlyDbComputerNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>onlyPvssSystemNumbers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>onlyDbSystemNumbers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkRequiredTable</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the consistency between the list of dist peers defined in the local project and in the System Configuration DB </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>overall result of the consistency check </td></tr>
    <tr><td class="paramname">onlyPvssSystemNames</td><td>PVSS system names correspoding to peers defined only in the config file of the local project, i.e. missing in the DB </td></tr>
    <tr><td class="paramname">onlyDbSystemNames</td><td>PVSS system names correspoding to peers defined only in the DB, i.e. missing in the config file of the local project </td></tr>
    <tr><td class="paramname">onlyPvssComputerNames</td><td>Hostnames correspoding to peers defined only in the config file of the local project, i.e. missing in the DB </td></tr>
    <tr><td class="paramname">onlyDbComputerNames</td><td>Hostnames correspoding to peers defined only in the DB, i.e. missing in the config file of the local project. </td></tr>
    <tr><td class="paramname">onlyPvssSystemNumbers</td><td>PVSS system numbers correspoding to peers defined only in the config file of the local project, i.e. missing in the DB </td></tr>
    <tr><td class="paramname">onlyDbSystemNumbers</td><td>PVSS system numbers correspoding to peers defined only in the DB, i.e. missing in the config file of the local project. </td></tr>
    <tr><td class="paramname">checkRequiredTable</td><td>When true read from fw_sys_stat_system_connect, otherwise from fw_sys_stat_sys_curr_connect </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="addb9f075f87c1d388c76e1de2f3385e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_isDistRestartRequired </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function returns whether the distribution manager has to be restarted during the synchronization process </p>
<dl class="section return"><dt>Returns</dt><dd>1 if the dist manager has to be restarted, otherwise 0. </dd></dl>

</div>
</div>
<a class="anchor" id="ab60676b5c504cc713e59d0237aa1b80b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeDistPeers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function synchronizes the list of dist peers in the current project and in the System Configuration. The synchronization depends on the management mode of the project:</p>
<ul>
<li>if the project is locally managed, the contents of the system confiuguration db are updated with the list of dist peers currently defined in the project.</li>
<li>if the project is centrally managed, the DB-Agent of the installation tool modifies the list of dist-peers defined in the local project to reflect the contents of the system configuration DB. <dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors, -2 when synchronization is disabled </dd></dl>
</li>
</ul>

</div>
</div>
<a class="anchor" id="a63be17159b65f4cb2d0f9abcc5604533"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkWCCOAApplications </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbAppsToAdd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dbAppsToRemove</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check consistency of WinCC OA (UNICOS) applications between configuration DB and current state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>result of consistency check: 0 - not consistent, 1 - consistent, -2 - disabled </td></tr>
    <tr><td class="paramname">dbAppsToAdd</td><td>array of applications that should be added or updated in database. </td></tr>
    <tr><td class="paramname">dbAppsToRemove</td><td>array of applications that should be unregistered from database. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 on success, -1 on error. </dd></dl>

</div>
</div>
<a class="anchor" id="ade2e12e47c1efb2fc8b44e3e0f8b9a1a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeReduInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function synchronizes the project redundant information with the System Configuration. The synchronization steps depend on the management mode of the project:</p>
<ul>
<li>if the project is locally managed, the contents of the system configuration db</li>
<li>if the project is centrally managed, the DB-Agent of the installation tool modifies the contents of the local project config file and adds the necessary managers to the project console to reflect the contents of the system configuration DB. <dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>
</li>
</ul>

</div>
</div>
<a class="anchor" id="ad9f49f7b941af3b596d572d9e133849a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_unregisterProjectPaths </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>computerName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function unregisters all project paths from the System Configuration DB for a particular project </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">projectName</td><td>name of the PVSS project </td></tr>
    <tr><td class="paramname">computerName</td><td>hostaname where the project runs </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a0ecff584345895a51d13d1adb4b019ca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_registerProjectPaths </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>paths</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>computerName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function registers all project paths in the System Configuration DB for a particular project </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">paths</td><td>list of project paths </td></tr>
    <tr><td class="paramname">projectName</td><td>name of the PVSS project </td></tr>
    <tr><td class="paramname">computerName</td><td>hostaname where the project runs </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if errors </dd></dl>

</div>
</div>
<a class="anchor" id="a2ec4b05c0da998a51c52b20921b35ac8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_checkDevices </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>dbDevicesToAdd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>dbDevicesToRemove</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check consistency of devices between configuration DB and current state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>result of consistency check: 0 - not consistent, 1 - consistent, -2 - disabled. </td></tr>
    <tr><td class="paramname">dbDevicesToAdd</td><td>mapping with device types, applications and information about devices that should be added or updated in database. </td></tr>
    <tr><td class="paramname">dbDevicesToRemove</td><td>mapping with device types, applications and information about devices that should be unregistered from database. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 on success, -1 on error. </dd></dl>

</div>
</div>
<a class="anchor" id="a62d66e2cdb37a73aa06c14c88ff0ff80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationDBAgent_synchronizeWCCOAApplicationsAndDevices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Synchronize UNICOS application and devices on this project with the System Configuration. Applications are read from _UnApplication datapoint type. </p>
<dl class="section return"><dt>Returns</dt><dd>0 on success, -1 on error, -2 when synchronization is disabled </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a09c0a8efd896c3a8f33de7901b86a493"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string gFwInstallationAgentLibVersion = &quot;8.4.2&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Version of this library. Used to determine the coherency of all libraries of the installation tool Please do not edit it manually </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
